Create Embedding
curl --request POST \
--url https://api.intelligence.io.solutions/api/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": [
123
],
"encoding_format": "float",
"dimensions": 123,
"user": "<string>",
"truncate_prompt_tokens": 2,
"additional_data": null,
"add_special_tokens": true,
"priority": 0
}
'import requests
url = "https://api.intelligence.io.solutions/api/v1/embeddings"
payload = {
"model": "<string>",
"input": [123],
"encoding_format": "float",
"dimensions": 123,
"user": "<string>",
"truncate_prompt_tokens": 2,
"additional_data": None,
"add_special_tokens": True,
"priority": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: [123],
encoding_format: 'float',
dimensions: 123,
user: '<string>',
truncate_prompt_tokens: 2,
additional_data: null,
add_special_tokens: true,
priority: 0
})
};
fetch('https://api.intelligence.io.solutions/api/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Getting Started with AI Models API
Create Embeddings
Computes an embedding vector that encodes the input text.
POST
/
api
/
v1
/
embeddings
Create Embedding
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
JWT token
io.net provided API Key
API key set by an SDK client
Body
application/json
- EmbeddingCompletionRequest
- EmbeddingChatRequest
Available options:
float, base64 Required range:
x >= 1If true (the default), special tokens (e.g. BOS) will be added to the prompt.
The priority of the request (lower means earlier handling; default: 0). Any priority other than 0 will raise an error if the served model does not use priority scheduling.
Response
Successful Response
Was this page helpful?
⌘I